POST
/container_registry/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/container_registry/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "testing12345", "username": "username_"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/container_registry/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "testing12345", "username": "username_", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/container_registry/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "testing12345", "username": "username_" }),});console.log(await response.json());Note: Container Registry is currently available only in the Delhi region.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
The name of the user
string
username
The username of the user
string
Example
{ "name": "testing12345", "username": "username_"}Responses
Section titled “Responses”default
Section titled “default”Successful response